from django.shortcuts import render
from rest_framework import viewsets
from rest_framework.permissions import IsAuthenticatedOrReadOnly

from .models import Agent, BudgetGroup, BudgetLine
from .serializers import (AgentSerializer, BudgetGroupSerializer,
                          BudgetLineSerializer)


class AgentViewSet(viewsets.ModelViewSet):
    queryset = Agent.objects.all()
    serializer_class = AgentSerializer
    permission_class = [IsAuthenticatedOrReadOnly]


class BudgetGroupViewSet(viewsets.ModelViewSet):
    queryset = BudgetGroup.objects.all()
    serializer_class = BudgetGroupSerializer
    permission_class = [IsAuthenticatedOrReadOnly]


class BudgetLineViewSet(viewsets.ModelViewSet):
    queryset = BudgetLine.objects.all()
    serializer_class = BudgetLineSerializer
    permission_class = [IsAuthenticatedOrReadOnly]
